stddef.h File Reference

Go to the source code of this file.

## Macros

#define | NULL (void *)0
#define | __PTRDIFF_T_DEFINED
#define | __SIZE_T_DEFINED
#define | __WCHAR_T_DEFINED
#define | offsetof(s, m) __builtin_offsetof (s, m)

## Typedefs

typedef int | ptrdiff_t
typedef unsigned int | size_t
typedef unsigned long int | wchar_t

## Macro Definition Documentation

## NULL

#define NULL (void *)0

## __PTRDIFF_T_DEFINED

#define __PTRDIFF_T_DEFINED

## __SIZE_T_DEFINED

#define __SIZE_T_DEFINED

## __WCHAR_T_DEFINED

#define __WCHAR_T_DEFINED

## offsetof

#define offsetof | ( |  | s,
|  |  | m
| ) |  | __builtin_offsetof (s, m)

## Typedef Documentation

## ptrdiff_t

typedef int ptrdiff_t

## size_t

typedef unsigned int size_t

## wchar_t

typedef unsigned long int wchar_t